Previous: Printer resources, Up: Printer settings [Contents][Index]

#### 6.11.2.2 Printer command-line options

`-iecdevice4`
`+iecdevice4`

  Enable/disable IEC device emulation for device #4 (`IECDevice4=1`, `IECDevice4=0`).

`-iecdevice5`
`+iecdevice5`

  Enable/disable IEC device emulation for device #5 (`IECDevice5=1`, `IECDevice5=0`).

`-iecdevice6`
`+iecdevice6`

  Enable/disable IEC device emulation for device #6 (`IECDevice6=1`, `IECDevice6=0`).

`-iecdevice7`
`+iecdevice7`

  Enable/disable IEC device emulation for device #7 (`IECDevice7=1`, `IECDevice7=0`).

`-device4 <type>`

  Set device type for device 4 (`Printer4`). (0: None, 1: Filesystem, 2: Real)

`-device5 <type>`

  Set device type for device 5 (`Printer5`). (0: None, 1: Filesystem, 2: Real)

`-device6 <type>`

  Set device type for device 6 (`Printer6`). (0: None, 1: Filesystem, 2: Real)

`-device7 <type>`

  Set device type for device 7 (`Printer7`). (0: None, 2: Real)

`-prtxtdev1 <name>`
`-prtxtdev2 <name>`
`-prtxtdev3 <name>`

  Specify name of printer text device or dump file (`PrinterTextDevice1`, `PrinterTextDevice2`, `PrinterTextDevice3`).

`-pr4txtdev <0-2>`
`-pr5txtdev <0-2>`
`-pr6txtdev <0-2>`

  Specify printer text output device for IEC printer #4-6 (`Printer4TextDevice`, `Printer5TextDevice`, `Printer6TextDevice`).

`-pr4output <name>`

  Specify name of output device for device #4 (`Printer4Output`). (text, graphics)

`-pr5output <name>`

  Specify name of output device for device #5 (`Printer5Output`). (text, graphics)

`-pr6output <name>`

  Specify name of output device for device #6 (`Printer6Output`). (text, graphics)

`-pr4drv <name>`

  Specify name of printer driver for device #4 (`Printer4Driver`). (raw, ascii, mps803, nl10)

`-pr5drv <name>`

  Specify name of printer driver for device #5 (`Printer5Driver`). (raw, ascii, mps803, nl10)

`-pr6drv <name>`

  Specify name of printer driver for device #6 (`Printer6Driver`). (raw, 1520)

`-pruser`
`+pruser`

  Enable/disable emulation of the userport printer emulation (`PrUser=1`, `PrUser=0`).

`-prusertxtdev <0-2>`

  Specify printer text output device for userport printer (`PrinterUserportTextDevice`).

`-pruseroutput <name>`

  Specify name of output device for the userport printer (`PrinterUserportOutput`). (text, graphics)

`-pruserdrv <name>`

  Specify name of printer driver for the userport printer (`PrinterUserportDriver`).

Previous: Printer resources, Up: Printer settings [Contents][Index]